using ExpressionExecutorCuda
using Test

using BenchmarkTools

const baseFolder = dirname(dirname(pathof(ExpressionExecutorCuda)))
include(joinpath(baseFolder, "src", "Utils.jl"))
include(joinpath(baseFolder, "src", "ExpressionProcessing.jl"))
include(joinpath(baseFolder, "src", "Interpreter.jl"))
include(joinpath(baseFolder, "src", "Transpiler.jl"))

@testset "Functionality tests" begin
	# include("ExpressionProcessingTests.jl")
	# include("InterpreterTests.jl")
	# include("TranspilerTests.jl")
end


# @testset "CPU Interpreter" begin
# 	include("CpuInterpreterTests.jl")
# end

@testset "Performance tests" begin
	# include("PerformanceTuning.jl")
	include("PerformanceTests.jl")
end